<?php
/*
 * This file is part of the Easy-CMS project.
 * Easy-CMS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Easy-CMS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Easy-CMS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

class Elem {

	var $prev;
	var $next;
	var $value;
	
	function Elem(&$value, &$prev, &$next){
		$this->setValue($value);
		$this->setNext($next);
		$this->setPrev($prev);				
	}
	
	function &getValue(){
		return $this->value;
	}

	function &getNext(){
		return $this->next;
	}

	function &getPrev(){
		return $this->prev;
	}

	function setNext(&$next){
		$this->next = &$next;
	}

	function setPrev(&$prev){
		$this->prev = &$prev;
	}

	function setValue(&$value){
		$this->value = &$value;
	}
}

?>
