<?php
include_once('egConfig.inc.php');
include_once(ROOT_DIR.'egBrowser.class.php');


class egSubWindow extends egWindow {

	function egSubWindow($id, $title, $posX, $posY, $width, $height) {
		parent::egWindow($id, $title, $posX, $posY, $width, $height);
	}

	function getClassName() {
        return 'egSubWindow';
  }

  function getHTML($container = null) {
		//$html = "var subWindow_{$this->id} = new egSubWindow('{$this->id}', '{$this->title}', '{$this->posX}', '{$this->posY}', '{$this->width}', '{$this->height}', '{$container}');";
		$display = 'block';
		if($this->width == 0 || $this->height==0 ) {
			$this->width = 1;
			$this->height = 1;
			$display = 'none';
		}

	 	$html = "var subWindow_{$this->id}_height = {$this->height}; var subWindow_{$this->id}_width = {$this->width};if(egBrowserType == 'FF'){subWindow_{$this->id}_width += 4; subWindow_{$this->id}_height += 4; }</script><iframe style=\"left: {$this->posX}; top: {$this->posY}; z-index: 100; display: $display;\" class=\"egSubWindow\" id=\"{$this->id}\" name=\"{$this->id}\" src=\"{$this->title}\" frameborder=\"0\" marginwidth=\"0\" marginheight=\"0\" scrolling=\"auto\"></iframe><script>document.getElementById('{$this->id}').style.width = subWindow_{$this->id}_width + 'px'; document.getElementById('{$this->id}').style.height = subWindow_{$this->id}_height + 'px';";
		return $html;
  }

	/**
 	 *
	 *  @static
	 */
  function getScriptsFiles() {
    $scriptsArray = array();
    $scriptsArray[ALL] = "egSubWindow_default.js";
    return $scriptsArray;
  }

	/**
 	 *
	 *  @static
	 */
  function getStylesFiles() {
    $stylesArray = array();
    $stylesArray[ALL] = "egSubWindow_default.css";
    return $stylesArray;
  }
}
?>