<?php
/*
 * This file is part of the easy-CMS project.
 * easy-CMS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * easy-CMS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with easy-CMS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

  $months_names	= array(1 => 'january', 'february', 'march', 'april', 'may', 'june', 'july', 'august', 'september', 'october', 'november', 'december');
  $days_names   = array('sunday', 'monday', 'tuesday', 'wednesday', 'thirsday', 'friday', 'saterday');
  $days_order   = array('0','1','2','3','4','5','6');

  define('LANG_GENERAL_TAB', 'General');
  define('LANG_DELETE_TAB', 'Delete');
  define('LANG_SECURITY_TAB', 'Security');
  define('LANG_VERSIONING_TAB', 'Versions');
  define('LANG_PUBLISHING_TAB', 'Publishing');

  define('LANG_LANGUAGE_LISTBOX', 'Language');
  define('LANG_CHOOSE_BUTTON', 'Choose...');
  define('LANG_BROWSE_BUTTON', 'Browse...');
  define('LANG_OK_BUTTON', 'Ok');
  define('LANG_CANCEL_BUTTON', 'Cancel');
  define('LANG_ADD_BUTTON', 'Add...');
  define('LANG_REMOVE_BUTTON', 'Remove');

  define('LANG_CONFIRM', 'Are you sure ?');

  define('LANG_GROUP_MENU_SELECTED', 'Selected group');
  define('LANG_USER_MENU_SELECTED', 'Selected user');

  define('LANG_GROUP_MENU_ADD', 'Create new group');
  define('LANG_GROUP_MENU_EDIT', 'Edit group properties');
  define('LANG_GROUP_MENU_REMOVE', 'Remove this group');
  define('LANG_GROUP_MENU_ADD_USER', 'Add a user to this group');
  define('LANG_GROUP_MENU_REMOVE_USER', 'Remove user from this group');

  define('LANG_USER_MENU_ADD', 'Add a new user');
  define('LANG_USER_MENU_EDIT', 'Edit user properties');
  define('LANG_USER_MENU_REMOVE', 'Remove this user');

  define('LANG_USER_DELETION_MESSAGE', 'You are about to delete this user');
  define('LANG_USER_DELETION_CONFIRM', 'Are you sure ?');
  define('LANG_USER_IDENTIFIER_STATIC', 'Identifier');
  define('LANG_USER_LOGIN_STATIC', 'Login');
  define('LANG_USER_PASSWORD_STATIC', 'Password');
  define('LANG_USER_CONFIRM_STATIC', 'Confirm');
  define('LANG_USER_FIRSTNAME_STATIC', 'First name');
  define('LANG_USER_LASTNAME_STATIC', 'Last name');
  define('LANG_USER_EMAIL_STATIC', 'E-mail');
  define('LANG_USER_LANGUAGE_STATIC', 'Prefered language');
  define('LANG_USER_HOMEPAGE_STATIC', 'Homepage');
  define('LANG_USER_DISABLED_STATIC', 'Status');
  define('LANG_USER_CHOOSE_STATIC', 'Choose a user:');

  define('LANG_GROUP_DELETION_MESSAGE', 'You are about to delete this group');
  define('LANG_GROUP_DELETION_CONFIRM', 'Are you sure ?');
  define('LANG_GROUP_IDENTIFIER_STATIC', 'Identifier');
  define('LANG_GROUP_NAME_STATIC', 'Name');
  define('LANG_GROUP_DESCRIPTION_STATIC', 'Description');
  define('LANG_GROUP_DISABLED_STATIC', 'Status');

	define('LANG_GROUP_USER_ADD_MESSAGE', 'Choose the user to add:');
	define('LANG_GROUP_USER_DELETION_MESSAGE', 'You are about to remove this user from the group');

	define('LANG_FILE_MENU_MOVE', 'Move file');
  define('LANG_FILE_MENU_REMOVE', 'Remove file');
  define('LANG_FILE_MENU_RENAME', 'Rename file');
  define('LANG_FILE_MENU_SELECTED', 'Selected file');

	define('LANG_FILE_MANAGER_REMOVE_DIR', 'remove directory');
	define('LANG_FILE_MANAGER_CREATE_SUB_DIR', 'create sub directory');
	define('LANG_FILE_MANAGER_UPLOAD_FILE', 'upload file');
	define('LANG_FILE_MANAGER_MULTIPLE_UPLOAD', 'multiple upload');

	define('LANG_FILE_MANAGER_HOME_TITLE', 'Return to the website');
	define('LANG_FILE_MANAGER_FILES_TITLE', 'Files management');
	define('LANG_FILE_MANAGER_IMAGES_TITLE', 'Images folders');
	define('LANG_FILE_MANAGER_DOCS_TITLE', 'Documents folders');
	define('LANG_FILE_MANAGER_CONTENTS_TITLE', 'Contents management');
	define('LANG_FILE_MANAGER_PAGES_TITLE', 'Pages management');
	define('LANG_FILE_MANAGER_OPTIONS_TITLE', 'Options & parameters');
	define('LANG_FILE_MANAGER_DB_TITLE', 'Database');
	define('LANG_FILE_MANAGER_VERSIONS_TITLE', 'Versions');
	define('LANG_FILE_MANAGER_UI_TITLE', 'User interface');
	define('LANG_FILE_MANAGER_GROUPS_AND_USERS_TITLE', 'Groups &amp; users');
	define('LANG_FILE_MANAGER_GROUPS_TITLE', 'Groups management');
	define('LANG_FILE_MANAGER_USERS_TITLE', 'Users management');
	define('LANG_FILE_MANAGER_TEMPLATES_TITLE', 'Templates management');
	define('LANG_FILE_MANAGER_XSL_TITLE', 'Containers templates');
	define('LANG_FILE_MANAGER_FRAMES_TITLE', 'Pages templates');

	define('LANG_NODE_NEW_DIR', 'Enter a name for the new folder:');
	define('LANG_NODE_CHOOSE_FILE', 'Choose a file to upload:');

  define('LANG_DIR_REMOVE_TITLE', 'Remove folder');
  define('LANG_DIR_DELETION_MESSAGE', 'You are about to delete this folder');

  define('LANG_FILE_REMOVE_TITLE', 'Remove file');
  define('LANG_FILE_DELETION_MESSAGE', 'You are about to delete this file');

  define('LANG_FILE_RENAME_TITLE', 'Rename file');
  define('LANG_FILE_RENAME_NEW_NAME_STATIC', 'New name');
	define('LANG_FILE_RENAME_NEW_NAME', 'Enter a new name for that file:');
  define('LANG_FILE_RENAME_INVALID', 'The name you entered is invalid, <br />please enter another name (see suggestion).');

  define('LANG_FILE_MOVE_TITLE', 'Move file');
  define('LANG_FILE_MOVE_NEW_DIR_STATIC', 'New directory');
  define('LANG_FILE_MOVE_CHOOSE_DIR', 'Choose the destination directory:');
  define('LANG_FILE_MOVE_INVALID', 'The directory you entered is either invalid or does not exist, <br />please choose another directory.');

  define('LANG_PUBLISH_MESSAGE', 'Publish this item');
  define('LANG_PUBLISHED_MESSAGE', 'This item has already been published');
  define('LANG_PUBLISH_TEXT', 'Published');
  define('LANG_NOT_PUBLISHED_MESSAGE', 'This item has not been published yet');
  define('LANG_PUBLISH_STATUS_MESSAGE', 'To publish or unpublish the item, check or uncheck this box:');
  define('LANG_PUBLISH_COMMENT', '(Until it has been published, an item is not shown in view mode.)');
	define('LANG_PUBLISH_CONFIRM_MESSAGE', 'You are about to publish this item. Are you sure ?');

  define('LANG_CONTENT_DELETION_MESSAGE', 'You are about to delete this content');
  define('LANG_CONTENT_DELETION_CONFIRM', 'Are you sure ?');
  define('LANG_CONTENT_MENU_EDIT', 'Edit content');
  define('LANG_CONTENT_MENU_REMOVE', 'Remove');
  define('LANG_CONTENT_MENU_MOVE_UP', 'Move up');
  define('LANG_CONTENT_MENU_MOVE_DOWN', 'Move down');

  define('LANG_CONTAINER_DELETION_MESSAGE', 'You are about to delete this container');
  define('LANG_CONTAINER_DELETION_CONFIRM', 'Are you sure ?');
  define('LANG_CONTAINER_IDENTIFIER_STATIC', 'Identifier');
  define('LANG_CONTAINER_NAME_STATIC', 'Name');
  define('LANG_CONTAINER_CONTAINS_STATIC', 'Contains');
  define('LANG_CONTAINER_TEMPLATE_STATIC', 'Template');
  define('LANG_CONTAINER_CLONE_STATIC', 'Clone');
  define('LANG_CONTAINER_SHOW_STATIC', 'Show');
  define('LANG_CONTAINER_ITEMS_STATIC', 'item(s)');
  define('LANG_CONTAINER_START_STATIC', 'Starting from item #');
  define('LANG_CONTAINER_ORDER_STATIC', 'Order');
  define('LANG_CONTAINER_SORT_STATIC', 'Sort by');
  define('LANG_CONTAINER_ON_STATIC', 'on');
  define('LANG_CONTAINER_ASCENDING_STATIC', 'ascending');
  define('LANG_CONTAINER_DESCENDING_STATIC', 'descending');
  define('LANG_CONTAINER_MANUALSORT_STATIC', 'manual sort');
  define('LANG_CONTAINER_AUTOSORT_STATIC', 'automatic sort');
  define('LANG_CONTAINER_CLONE_COMMENT_STATIC', '(value &#39;0&#39; means that the container has its own contents)');
  define('LANG_CONTAINER_SHOW_COMMENT_STATIC', '(&#39;0&#39; to display the entire list)');
  define('LANG_CONTAINER_START_COMMENT_STATIC', '(&#39;0&#39; to start with the first item)');
  define('LANG_CONTAINER_MENU_ADD', 'Add content');
  define('LANG_CONTAINER_MENU_EDIT', 'Properties');
  define('LANG_CONTAINER_MENU_REMOVE', 'Remove container');
  define('LANG_CONTAINER_MENU_MOVE_UP', 'Move up');
  define('LANG_CONTAINER_MENU_MOVE_DOWN', 'Move down');

  define('LANG_MENU_DELETION_MESSAGE', 'You are about to delete this menu');
  define('LANG_MENU_DELETION_CONFIRM', 'Are you sure ?');
  define('LANG_MENU_IDENTIFIER_STATIC', 'Identifier');
  define('LANG_MENU_NAME_STATIC', 'Name');
  define('LANG_MENU_MAXLEVEL_STATIC', 'Maximum depth');
  define('LANG_MENU_CONTAINS_STATIC', 'Contains');
  define('LANG_MENU_TEMPLATE_STATIC', 'Template');
  define('LANG_MENU_ORDER_STATIC', 'Order');
  define('LANG_MENU_SORT_STATIC', 'Sort by');
  define('LANG_MENU_ON_STATIC', 'on');
  define('LANG_MENU_ASCENDING_STATIC', 'ascending');
  define('LANG_MENU_DESCENDING_STATIC', 'descending');
  define('LANG_MENU_MANUALSORT_STATIC', 'manual sort');
  define('LANG_MENU_AUTOSORT_STATIC', 'automatic sort');
  define('LANG_MENU_MAXLEVEL_COMMENT_STATIC', '(0 means unlimited)');
  define('LANG_MENU_MENU_ADD', 'Add a page');
  define('LANG_MENU_MENU_EDIT', 'Properties');

  define('LANG_CONTAINERSLIST_IDENTIFIER_STATIC', 'Identifier');
  define('LANG_CONTAINERSLIST_NAME_STATIC', 'Name');
  define('LANG_CONTAINERSLIST_CLONE_STATIC', 'Clone');
  define('LANG_CONTAINERSLIST_SHOW_STATIC', 'Show');
  define('LANG_CONTAINERSLIST_ITEMS_STATIC', 'container(s)');
  define('LANG_CONTAINERSLIST_START_STATIC', 'Starting from container #');
  define('LANG_CONTAINERSLIST_ORDER_STATIC', 'Order');
  define('LANG_CONTAINERSLIST_SORT_STATIC', 'Sort by');
  define('LANG_CONTAINERSLIST_ON_STATIC', 'on');
  define('LANG_CONTAINERSLIST_ASCENDING_STATIC', 'ascending');
  define('LANG_CONTAINERSLIST_DESCENDING_STATIC', 'descending');
  define('LANG_CONTAINERSLIST_MANUALSORT_STATIC', 'manual sort');
  define('LANG_CONTAINERSLIST_AUTOSORT_STATIC', 'automatic sort');
  define('LANG_CONTAINERSLIST_CLONE_COMMENT_STATIC', '(0 means own contents)');
  define('LANG_CONTAINERSLIST_SHOW_COMMENT_STATIC', '(0 for entire list)');
  define('LANG_CONTAINERSLIST_START_COMMENT_STATIC', '(0 for first)');
  define('LANG_CONTAINERSLIST_MENU_ADD', 'Add a container');
  define('LANG_CONTAINERSLIST_MENU_EDIT', 'Properties');

  define('LANG_PAGE_DELETION_MESSAGE', 'You are about to delete this page');
  define('LANG_PAGE_DELETION_CONFIRM', 'Are you sure ?');
  define('LANG_PAGE_IDENTIFIER_STATIC', 'Identifier');
  define('LANG_PAGE_TEMPLATE_STATIC', 'Template');
  define('LANG_PAGE_NAME_STATIC', 'Name');
  define('LANG_PAGE_ALIAS_STATIC', 'Alias');
  define('LANG_PAGE_TITLE_STATIC', 'Title');
  define('LANG_PAGE_DESCRIPTION_STATIC', 'Description');
  define('LANG_PAGE_KEYWORDS_STATIC', 'Keywords');
  define('LANG_PAGE_LINK_STATIC', 'Redirect to');
  define('LANG_PAGE_MENU_ADD', 'Add a sub page');
  define('LANG_PAGE_MENU_REMOVE', 'Remove page');
  define('LANG_PAGE_MENU_EDIT', 'Edit page');
  define('LANG_PAGE_MENU_MOVE', 'Move page');
  define('LANG_PAGE_MENU_MOVE_UP', 'Move up');
  define('LANG_PAGE_MENU_MOVE_DOWN', 'Move down');

  define('LANG_PAGE_MOVE_TITLE', 'Move a page');
  define('LANG_PAGE_MOVE_NEW_PARENT_STATIC', 'Parent page');
  define('LANG_PAGE_MOVE_CHOOSE_PARENT', 'Choose the new parent page');
  define('LANG_PAGE_MOVE_INVALID', 'The page you have entered soes not exist, <br />please choose another page.');

  define('LANG_ACL_USERSGROUPS_STATIC', 'Users and Groups');
  define('LANG_ACL_INHERIT_STATIC', 'Inherit rights from parent');
  define('LANG_ACL_ALLOW_STATIC', 'Allow');
  define('LANG_ACL_DENY_STATIC', 'Deny');
  define('LANG_ACL_PERMISSION_STATIC', 'Permissions for');
  define('LANG_ACL_VIEW_STATIC', 'View');
  define('LANG_ACL_EDIT_STATIC', 'Edit');
  define('LANG_ACL_PUBLISH_STATIC', 'Publish');
  define('LANG_ACL_REMOVE_STATIC', 'Remove');
  define('LANG_ACL_ADMIN_STATIC', 'Admin');
  define('LANG_ACL_USER_STATIC', '(user)');
  define('LANG_ACL_GROUP_STATIC', '(group)');
  define('LANG_ACL_CHOOSE_STATIC', 'Choose user or group');

  define('LANG_VERSIONS_AVAILABLE_STATIC', 'Available versions');
  define('LANG_VERSIONS_RESTORE_WARNING', 'You are about to restore this content to a previous state.');

?>