<?php
/*
 * This file is part of the easy-CMS project.
 * easy-CMS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * easy-CMS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with easy-CMS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

  $months_names	= array(1 => 'janvier', 'f&eacute;vrier', 'mars', 'avril', 'mai', 'juin', 'juillet', 'ao&ucirc;t', 'septembre', 'octobre', 'novembre', 'd&eacute;cembre');
  $days_names   = array('dimanche', 'lundi', 'mardi', 'mercredi', 'jeudi', 'vendredi', 'samedi');
  $days_order   = array('1','2','3','4','5','6','0');

  define('LANG_GENERAL_TAB', 'G&eacute;n&eacute;ral');
  define('LANG_DELETE_TAB', 'Supprimer');
  define('LANG_SECURITY_TAB', 'S&eacute;curit&eacute;');
  define('LANG_VERSIONING_TAB', 'Versions');
  define('LANG_PUBLISHING_TAB', 'Publication');

  define('LANG_LANGUAGE_LISTBOX', 'Langue');
  define('LANG_CHOOSE_BUTTON', 'Choisir...');
  define('LANG_BROWSE_BUTTON', 'Parcourir...');
  define('LANG_OK_BUTTON', 'Ok');
  define('LANG_CANCEL_BUTTON', 'Annuler');
  define('LANG_ADD_BUTTON', 'Ajouter...');
  define('LANG_REMOVE_BUTTON', 'Supprimer');

  define('LANG_CONFIRM', 'Etes-vous certain ?');

  define('LANG_GROUP_MENU_SELECTED', 'Groupe s&eacute;lectionn&eacute;');
  define('LANG_USER_MENU_SELECTED', 'Utilisateur s&eacute;lectionn&eacute;');

  define('LANG_GROUP_MENU_ADD', 'Cr&eacute;er un nouveau groupe');
  define('LANG_GROUP_MENU_EDIT', 'Propri&eacute;t&eacute;s du groupe');
  define('LANG_GROUP_MENU_REMOVE', 'Supprimer ce groupe');
  define('LANG_GROUP_MENU_ADD_USER', 'Ajouter un utilisateur au groupe');
  define('LANG_GROUP_MENU_REMOVE_USER', 'Retirer cet utilisateur du groupe');

  define('LANG_USER_MENU_ADD', 'Cr&eacute;er un nouvel utilisateur');
  //define('LANG_USER_MENU_EDIT', 'Propri&eacute;t&eacute;s de l&#39;utilisateur');
  define('LANG_USER_MENU_EDIT', 'Editer cet utilisateur');
  define('LANG_USER_MENU_REMOVE', 'Supprimer cet utilisateur');

  define('LANG_USER_DELETION_MESSAGE', 'Vous allez supprimer cet utilisateur');
  define('LANG_USER_DELETION_CONFIRM', 'Etes-vous certain ?');
  define('LANG_USER_IDENTIFIER_STATIC', 'Identifiant');
  define('LANG_USER_LOGIN_STATIC', 'Login');
  define('LANG_USER_PASSWORD_STATIC', 'Mot de passe');
  define('LANG_USER_CONFIRM_STATIC', 'Confirmation');
  define('LANG_USER_FIRSTNAME_STATIC', 'Pr&eacute;nom');
  define('LANG_USER_LASTNAME_STATIC', 'Nom');
  define('LANG_USER_EMAIL_STATIC', 'E-mail');
  define('LANG_USER_LANGUAGE_STATIC', 'Langue');
  define('LANG_USER_HOMEPAGE_STATIC', 'Page d&#39;accueil');
  define('LANG_USER_DISABLED_STATIC', 'Status');
  define('LANG_USER_CHOOSE_STATIC', 'S&eacute;lectionnez un utilisateur :');

  define('LANG_GROUP_DELETION_MESSAGE', 'Vous allez supprimer ce groupe');
  define('LANG_GROUP_DELETION_CONFIRM', 'Etes-vous certain ?');
  define('LANG_GROUP_IDENTIFIER_STATIC', 'Identifiant');
  define('LANG_GROUP_NAME_STATIC', 'Nom');
  define('LANG_GROUP_DESCRIPTION_STATIC', 'Description');
  define('LANG_GROUP_DISABLED_STATIC', 'Statut');

	define('LANG_GROUP_USER_ADD_MESSAGE', 'S&eacute;lectionnez l&#39;utilisateur &agrave; ajouter :');
	define('LANG_GROUP_USER_DELETION_MESSAGE', 'Vous &ecirc;tes sur le point de retirer cet utilisateur du groupe');

  define('LANG_FILE_MENU_MOVE', 'D&eacute;placer ce fichier');
  define('LANG_FILE_MENU_REMOVE', 'Supprimer ce fichier');
  define('LANG_FILE_MENU_RENAME', 'Renommer ce fichier');
  define('LANG_FILE_MENU_SELECTED', 'Fichier s&eacute;lectionn&eacute;');

	define('LANG_FILE_MANAGER_REMOVE_DIR', 'supprimer ce r&eacute;pertoire');
	define('LANG_FILE_MANAGER_CREATE_SUB_DIR', 'cr&eacute;er un sous-r&eacute;pertoire');
	define('LANG_FILE_MANAGER_UPLOAD_FILE', 'ajouter un fichier');
	define('LANG_FILE_MANAGER_MULTIPLE_UPLOAD', 'ajout multiple');

	define('LANG_FILE_MANAGER_HOME_TITLE', 'Retour au site');
	define('LANG_FILE_MANAGER_FILES_TITLE', 'Gestionnaire de fichiers');
	define('LANG_FILE_MANAGER_IMAGES_TITLE', 'Dossiers images');
	define('LANG_FILE_MANAGER_DOCS_TITLE', 'Dossiers documents');
	define('LANG_FILE_MANAGER_CONTENTS_TITLE', 'Gestionnaire de contenus');
	define('LANG_FILE_MANAGER_PAGES_TITLE', 'Gestion des pages');
	define('LANG_FILE_MANAGER_OPTIONS_TITLE', 'Options & param&egrave;tres');
	define('LANG_FILE_MANAGER_DB_TITLE', 'Base de donn&eacute;es');
	define('LANG_FILE_MANAGER_VERSIONS_TITLE', 'Versions');
	define('LANG_FILE_MANAGER_UI_TITLE', 'Interface utilisateur');
	define('LANG_FILE_MANAGER_GROUPS_AND_USERS_TITLE', 'Groupes &amp; utilisateurs');
	define('LANG_FILE_MANAGER_GROUPS_TITLE', 'Gestion des groupes');
	define('LANG_FILE_MANAGER_USERS_TITLE', 'Gestion des utilisateurs');
	define('LANG_FILE_MANAGER_TEMPLATES_TITLE', 'Gestionnaire de templates');
	define('LANG_FILE_MANAGER_XSL_TITLE', 'Templates de containers');
	define('LANG_FILE_MANAGER_FRAMES_TITLE', 'Templates de pages');

	define('LANG_NODE_NEW_DIR', 'Entrez le nom du nouveau dossier :');
	define('LANG_NODE_CHOOSE_FILE', 'S&eacute;lectionnez un fichier a ajouter :');

  define('LANG_DIR_REMOVE_TITLE', 'Supprimer un dossier');
  define('LANG_DIR_DELETION_MESSAGE', 'Vous &ecirc;tes sur le point de supprimer ce dossier');

  define('LANG_FILE_REMOVE_TITLE', 'Supprimer un fichier');
  define('LANG_FILE_DELETION_MESSAGE', 'Vous &ecirc;tes sur le point de supprimer ce fichier');

  define('LANG_FILE_RENAME_TITLE', 'Renommer un fichier');
  define('LANG_FILE_RENAME_NEW_NAME_STATIC', 'Nouveau nom');
  define('LANG_FILE_RENAME_NEW_NAME', 'Entrez un nouveau nom pour ce fichier :');
  define('LANG_FILE_RENAME_INVALID', 'Le nom que vous avez entr&eacute; est invalide, <br />veuillez entrer un autre nom (voir suggestion).');

  define('LANG_FILE_MOVE_TITLE', 'D&eacute;placer un fichier');
  define('LANG_FILE_MOVE_NEW_DIR_STATIC', 'Nouveau r&eacute;pertoire');
  define('LANG_FILE_MOVE_CHOOSE_DIR', 'Choisissez le r&eacute;pertoire de destination :');
  define('LANG_FILE_MOVE_INVALID', 'Le r&eacute;pertoire que vous avez choisi est invalide ou n&#39;exite pas, <br />veuillez en choisir un autre.');

  define('LANG_PUBLISH_MESSAGE', 'Publier cet &eacute;l&eacute;ment');
  define('LANG_PUBLISHED_MESSAGE', 'Cet &eacute;l&eacute;ment a d&eacute;j&agrave; &eacute;t&eacute; publi&eacute;');
  define('LANG_PUBLISH_TEXT', 'Publi&eacute;');
  define('LANG_NOT_PUBLISHED_MESSAGE', 'Cet &eacute;l&eacute;ment n&#39;a pas encore &eacute;t&eacute; publi&eacute;');
  define('LANG_PUBLISH_STATUS_MESSAGE', 'Pour valider ou invalider la publication de cet &eacute;l&eacute;ment, cochez ou d&eacute;cochez cette case :');
  define('LANG_PUBLISH_COMMENT', '(Tant qu&#39;il n&#39;est pas publi&eacute;, un &eacute;l&eacute;ment n&#39;est visible qu&#39;en mode d&#39;&eacute;dition.)');
	define('LANG_PUBLISH_CONFIRM_MESSAGE', 'Vous allez publier cet element. Etes-vous certain ?');

  define('LANG_CONTENT_DELETION_MESSAGE', 'Vous allez supprimer cet &eacute;l&eacute;ment');
  define('LANG_CONTENT_DELETION_CONFIRM', 'Etes-vous certain ?');
  define('LANG_CONTENT_MENU_EDIT', 'Editer ce contenu');
  define('LANG_CONTENT_MENU_REMOVE', 'Supprimer ce contenu');
  define('LANG_CONTENT_MENU_MOVE_UP', 'Monter');
  define('LANG_CONTENT_MENU_MOVE_DOWN', 'Descendre');

  define('LANG_CONTAINER_DELETION_MESSAGE', 'Vous allez supprimer ce conteneur');
  define('LANG_CONTAINER_DELETION_CONFIRM', 'Etes-vous certain ?');
  define('LANG_CONTAINER_IDENTIFIER_STATIC', 'Identifiant');
  define('LANG_CONTAINER_NAME_STATIC', 'Nom');
  define('LANG_CONTAINER_CONTAINS_STATIC', 'Contient');
  define('LANG_CONTAINER_TEMPLATE_STATIC', 'Template');
  define('LANG_CONTAINER_CLONE_STATIC', 'Clone');
  define('LANG_CONTAINER_SHOW_STATIC', 'Afficher');
  define('LANG_CONTAINER_ITEMS_STATIC', '&eacute;l&eacute;ment(s)');
  define('LANG_CONTAINER_START_STATIC', "A partir de l&#39;&eacute;l&eacute;ment n&deg;");
  define('LANG_CONTAINER_ORDER_STATIC', 'Ordre');
  define('LANG_CONTAINER_SORT_STATIC', 'Tri&eacute; par');
  define('LANG_CONTAINER_ON_STATIC', 'ordre');
  define('LANG_CONTAINER_ASCENDING_STATIC', 'croissant');
  define('LANG_CONTAINER_DESCENDING_STATIC', 'd&eacute;croissant');
  define('LANG_CONTAINER_MANUALSORT_STATIC', 'tri manuel');
  define('LANG_CONTAINER_AUTOSORT_STATIC', 'tri automatique');
  define('LANG_CONTAINER_CLONE_COMMENT_STATIC', '(la valeur &#39;0&#39; signifie que le conteneur dispose de ses propres &eacute;l&eacute;ments)');
  define('LANG_CONTAINER_SHOW_COMMENT_STATIC', '(&#39;0&#39; pour afficher la liste compl&egrave;te)');
  define('LANG_CONTAINER_START_COMMENT_STATIC', '(&#39;0&#39; pour commencer par le premier &eacute;l&eacute;ment)');
  define('LANG_CONTAINER_MENU_ADD', 'Ajouter un &eacute;l&eacute;ment');
  define('LANG_CONTAINER_MENU_EDIT', 'Propri&eacute;t&eacute;s');
  define('LANG_CONTAINER_MENU_REMOVE', 'Supprimer ce conteneur');
  define('LANG_CONTAINER_MENU_MOVE_UP', 'Monter');
  define('LANG_CONTAINER_MENU_MOVE_DOWN', 'Descendre');

  define('LANG_MENU_DELETION_MESSAGE', 'Vous allez supprimer ce menu');
  define('LANG_MENU_DELETION_CONFIRM', 'Etes-vous certain ?');
  define('LANG_MENU_IDENTIFIER_STATIC', 'Identifiant');
  define('LANG_MENU_NAME_STATIC', 'Nom');
  define('LANG_MENU_MAXLEVEL_STATIC', 'Profondeur max.');
  define('LANG_MENU_CONTAINS_STATIC', 'Contient');
  define('LANG_MENU_TEMPLATE_STATIC', 'Template');
  define('LANG_MENU_ORDER_STATIC', 'Ordre');
  define('LANG_MENU_SORT_STATIC', 'Tri&eacute; par');
  define('LANG_MENU_ON_STATIC', 'ordre');
  define('LANG_MENU_ASCENDING_STATIC', 'croissant');
  define('LANG_MENU_DESCENDING_STATIC', 'd&eacute;croissant');
  define('LANG_MENU_MANUALSORT_STATIC', 'tri manuel');
  define('LANG_MENU_AUTOSORT_STATIC', 'tri automatique');
  define('LANG_MENU_MAXLEVEL_COMMENT_STATIC', '(0 = pas de limite)');
  define('LANG_MENU_MENU_ADD', 'Ajouter une page');
  define('LANG_MENU_MENU_EDIT', 'Propri&eacute;t&eacute;s');

  define('LANG_CONTAINERSLIST_IDENTIFIER_STATIC', 'Identifiant');
  define('LANG_CONTAINERSLIST_NAME_STATIC', 'Nom');
  define('LANG_CONTAINERSLIST_CLONE_STATIC', 'Clone');
  define('LANG_CONTAINERSLIST_SHOW_STATIC', 'Afficher');
  define('LANG_CONTAINERSLIST_ITEMS_STATIC', 'conteneur(s)');
  define('LANG_CONTAINERSLIST_START_STATIC', "A partir du conteneur n&deg;");
  define('LANG_CONTAINERSLIST_ORDER_STATIC', 'Ordre');
  define('LANG_CONTAINERSLIST_SORT_STATIC', 'Tri&eacute; par');
  define('LANG_CONTAINERSLIST_ON_STATIC', 'ordre');
  define('LANG_CONTAINERSLIST_ASCENDING_STATIC', 'croissant');
  define('LANG_CONTAINERSLIST_DESCENDING_STATIC', 'd&eacute;croissant');
  define('LANG_CONTAINERSLIST_MANUALSORT_STATIC', 'tri manuel');
  define('LANG_CONTAINERSLIST_AUTOSORT_STATIC', 'tri automatique');
  define('LANG_CONTAINERSLIST_CLONE_COMMENT_STATIC', '(0 = propre contenu)');
  define('LANG_CONTAINERSLIST_SHOW_COMMENT_STATIC', '(0 = liste compl&egrave;te)');
  define('LANG_CONTAINERSLIST_START_COMMENT_STATIC', '(0 pour le premier)');
  define('LANG_CONTAINERSLIST_MENU_ADD', 'Ajouter un conteneur');
  define('LANG_CONTAINERSLIST_MENU_EDIT', 'Propri&eacute;t&eacute;s');

  define('LANG_PAGE_DELETION_MESSAGE', 'Vous allez supprimer cette page');
  define('LANG_PAGE_DELETION_CONFIRM', 'Etes-vous certain ?');
  define('LANG_PAGE_IDENTIFIER_STATIC', 'Identifiant');
  define('LANG_PAGE_TEMPLATE_STATIC', 'Template');
  define('LANG_PAGE_NAME_STATIC', 'Nom');
  define('LANG_PAGE_ALIAS_STATIC', 'Alias');
  define('LANG_PAGE_TITLE_STATIC', 'Titre');
  define('LANG_PAGE_DESCRIPTION_STATIC', 'Description');
  define('LANG_PAGE_KEYWORDS_STATIC', 'Mots-cl&eacute;s');
  define('LANG_PAGE_LINK_STATIC', 'Redirection');
  define('LANG_PAGE_MENU_ADD', 'Ajouter une sous-page');
  define('LANG_PAGE_MENU_REMOVE', 'Supprimer cette page');
  define('LANG_PAGE_MENU_EDIT', 'Editer cette page');
  define('LANG_PAGE_MENU_MOVE', 'D&eacute;placer cette page');
  define('LANG_PAGE_MENU_MOVE_UP', 'Monter');
  define('LANG_PAGE_MENU_MOVE_DOWN', 'Descendre');

  define('LANG_PAGE_MOVE_TITLE', 'D&eacute;placer une page');
  define('LANG_PAGE_MOVE_NEW_PARENT_STATIC', 'Page parent');
  define('LANG_PAGE_MOVE_CHOOSE_PARENT', 'Choisissez la nouvelle page parent');
  define('LANG_PAGE_MOVE_INVALID', 'La page que vous avez entr&eacute;e n&#e39;existe pas, <br />veuillez choisir une autre page.');

  define('LANG_ACL_USERSGROUPS_STATIC', 'Groupes et Utilisateurs');
  define('LANG_ACL_INHERIT_STATIC', 'H&eacute;riter des permissions de l&#39;objet parent');
  define('LANG_ACL_ALLOW_STATIC', 'Autoriser');
  define('LANG_ACL_DENY_STATIC', 'Interdire');
  define('LANG_ACL_PERMISSION_STATIC', 'Permissions pour');
  define('LANG_ACL_VIEW_STATIC', 'Voir');
  define('LANG_ACL_EDIT_STATIC', 'Modifier');
  define('LANG_ACL_PUBLISH_STATIC', 'Publier');
  define('LANG_ACL_REMOVE_STATIC', 'Supprimer');
  define('LANG_ACL_ADMIN_STATIC', 'Administrer');
  define('LANG_ACL_USER_STATIC', '(utilisateur)');
  define('LANG_ACL_GROUP_STATIC', '(groupe)');
  define('LANG_ACL_CHOOSE_STATIC', 'Choisissez le groupe ou l&#39;utilisateur');

  define('LANG_VERSIONS_AVAILABLE_STATIC', 'Versions disponibles');
  define('LANG_VERSIONS_RESTORE_WARNING', 'Vous allez restaurer cet objet a un etat anterieur.');

?>