/**
*
* egRichText Class
*/

function egRichText(id, title, posX, posY, width, height, container, name) {
	 this.objName = 'richText_'+id;
	 this.id = id;
	 this.name = name;
	 this.value = title;
	 this.x = posX;
	 this.y = posY;
	 this.width = width;
	 this.height = height;

	 this.show = egWindow_show;
	 this.hide = egWindow_hide;
	 this.moveTo = egWindow_moveTo;
	 this.displayAt = egWindow_displayAt;

	 this.active = 0;

	 this.getValue = egRichText_getValue;

	 this.BasePath		= 'interface/fckeditor/';
	 /*this.toolbarSet	= 'ecms_Simple';*/
	 this.toolbarSet	= 'ecms_Advanced';
	 
   this.link = this.BasePath + 'editor/fckeditor.html?InstanceName=' + this.id + '&amp;Toolbar=' + this.toolbarSet;

   if (!container) {
      container = 'easy-GUI_mainLayer';
   }

	 divRoot = document.getElementById(container);

	 divRoot.innerHTML += '<div id="'+this.id+'_frame" style="position: absolute;">'
		+ '  <input type=\"hidden\" id=\"'+this.id+'\" name=\"'+this.name+'\" value=\"'+this.value+'\" style=\"display:none;\" />'
		+ '  <input type=\"hidden\" id=\"'+this.id+'___Config\" value=\"\" style=\"display:none;\" />'
		+ '  <iframe id=\"'+this.id+'___Frame\" src=\"'+ this.link +'\" width=\"'+ width +'\" height=\"'+ height +'\" frameborder=\"0\" scrolling=\"no\"></iframe>'
		+ '</div>';


	 div = document.getElementById(this.id+'_frame');
	 div.style.width  = width+'px';
	 div.style.height = height+'px';
	 div.style.left = posX + 'px';
	 div.style.top  = posY + 'px';
}

function egRichText_getValue(){
	this.value = document.getElementById(this.id).value;
	return this.value;
}