/**
*
* egStatic Class
*/

function egStatic(id, title, posX, posY, width, height, container, isBold) {
	 this.objName = 'static_'+id;
	 this.id = id;

	 this.x = posX;
	 this.y = posY;
	 this.width = 0;
	 this.height = 0;
	
	 this.getHeight = egWindow_getHeight;
	 this.getWidth  = egWindow_getWidth;

	 this.show = egWindow_show;
	 this.hide = egWindow_hide;
	 this.moveTo = egWindow_moveTo;
	 this.displayAt = egWindow_displayAt;

   if (!container) {
      container = 'easy-GUI_mainLayer';
   }
	 divRoot = document.getElementById(container);

	 var fontWeight = 'normal';
   if (isBold) {
	 	 fontWeight = 'bold';
	 }

	 divRoot.innerHTML += '<div id="'+this.id+'" class="egStatic" style="font-weight: ' + fontWeight + ';">'+title+'</div>';

	 div = document.getElementById(this.id);
	 div.style.width  = width+'px';
	 div.style.left = posX+'px';
	 div.style.top  = posY+'px';
}
